using System;

internal sealed class Delegate623 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate623 delegate623_1)
	{
		delegate623_1(object_0);
	}

	public extern Delegate623(object object_0, IntPtr intptr_0);

	static Delegate623()
	{
		Class10.smethod_13(typeof(Delegate623).TypeHandle);
	}

	internal static Delegate623 delegate623_0;
}
